curl "https://api.krownlabs.app/api/users/0xAddress/nfts?collection=0x123...&listed=true"
{
"nfts": [
{
"id": "0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7-63",
"collectionAddress": "0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7",
"tokenId": 63,
"owner": "0xc957215773a8b86c8d8bab235451e467caaf944c",
"isTracked": true,
"name": "0011011000110011",
"description": "An animated, generative artwork from the Binary Planets collection.",
"image": null,
"thumbnail": "https://media.krownlabs.app/nfts/0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7/63/thumbnail.webp",
"preview": "https://media.krownlabs.app/nfts/0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7/63/preview.webp",
"attributes": [
{
"trait_type": "Rarity",
"value": "Common",
"rarity": 61.81818181818181,
"_id": "6859527a647101e11038ac48"
},
{
"trait_type": "Palette",
"value": "Dune",
"rarity": 16.727272727272727,
"_id": "6859527a647101e11038ac49"
},
{
"trait_type": "Rotation",
"value": "Prograde (L-R)",
"rarity": 80.84848484848484,
"_id": "6859527a647101e11038ac4a"
},
{
"trait_type": "Seed",
"value": 926252,
"display_type": "number",
"rarity": 0.24242424242424243,
"_id": "6859527a647101e11038ac4b"
}
],
"rarity": {
"rank": 774,
"total": 825,
"formatted": "774/825",
"percentile": 93.82,
"score": 421.33278948760915
},
"lastPrice": "0",
"isListed": false,
"listingPrice": null,
"listingExpirationTime": null,
"listingId": null,
"isInAuction": false,
"auctionId": null,
"auctionStartingPrice": null,
"auctionHighestBid": null,
"auctionEndTime": null,
"hasOffers": false,
"highestOffer": null,
"acceptingBids": false,
"listingSource": "native"
}
],
"total": 13,
"currentPage": 1,
"limit": 1,
"pages": 13,
"hasMore": true
}
Users
Get User NFTs
Get all NFTs owned by a user
GET
/
api
/
users
/
{identifier}
/
nfts
curl "https://api.krownlabs.app/api/users/0xAddress/nfts?collection=0x123...&listed=true"
{
"nfts": [
{
"id": "0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7-63",
"collectionAddress": "0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7",
"tokenId": 63,
"owner": "0xc957215773a8b86c8d8bab235451e467caaf944c",
"isTracked": true,
"name": "0011011000110011",
"description": "An animated, generative artwork from the Binary Planets collection.",
"image": null,
"thumbnail": "https://media.krownlabs.app/nfts/0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7/63/thumbnail.webp",
"preview": "https://media.krownlabs.app/nfts/0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7/63/preview.webp",
"attributes": [
{
"trait_type": "Rarity",
"value": "Common",
"rarity": 61.81818181818181,
"_id": "6859527a647101e11038ac48"
},
{
"trait_type": "Palette",
"value": "Dune",
"rarity": 16.727272727272727,
"_id": "6859527a647101e11038ac49"
},
{
"trait_type": "Rotation",
"value": "Prograde (L-R)",
"rarity": 80.84848484848484,
"_id": "6859527a647101e11038ac4a"
},
{
"trait_type": "Seed",
"value": 926252,
"display_type": "number",
"rarity": 0.24242424242424243,
"_id": "6859527a647101e11038ac4b"
}
],
"rarity": {
"rank": 774,
"total": 825,
"formatted": "774/825",
"percentile": 93.82,
"score": 421.33278948760915
},
"lastPrice": "0",
"isListed": false,
"listingPrice": null,
"listingExpirationTime": null,
"listingId": null,
"isInAuction": false,
"auctionId": null,
"auctionStartingPrice": null,
"auctionHighestBid": null,
"auctionEndTime": null,
"hasOffers": false,
"highestOffer": null,
"acceptingBids": false,
"listingSource": "native"
}
],
"total": 13,
"currentPage": 1,
"limit": 1,
"pages": 13,
"hasMore": true
}
Documentation Index
Fetch the complete documentation index at: https://docs.krownlabs.app/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Wallet address or username
Query Parameters
Page number
Results per page (max 100)
Filter by collection address
Filter by listing status
Sort fieldOptions:
acquiredAt, tokenId, rarityRank, listingPriceSort order
Response
Array of NFT objects owned by the userEach NFT includes complete token information including collection details, traits, rarity, and current listing status.
Pagination metadata
curl "https://api.krownlabs.app/api/users/0xAddress/nfts?collection=0x123...&listed=true"
{
"nfts": [
{
"id": "0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7-63",
"collectionAddress": "0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7",
"tokenId": 63,
"owner": "0xc957215773a8b86c8d8bab235451e467caaf944c",
"isTracked": true,
"name": "0011011000110011",
"description": "An animated, generative artwork from the Binary Planets collection.",
"image": null,
"thumbnail": "https://media.krownlabs.app/nfts/0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7/63/thumbnail.webp",
"preview": "https://media.krownlabs.app/nfts/0x39854cd0a1e549bcdfa9623b3896aca89cfbb6a7/63/preview.webp",
"attributes": [
{
"trait_type": "Rarity",
"value": "Common",
"rarity": 61.81818181818181,
"_id": "6859527a647101e11038ac48"
},
{
"trait_type": "Palette",
"value": "Dune",
"rarity": 16.727272727272727,
"_id": "6859527a647101e11038ac49"
},
{
"trait_type": "Rotation",
"value": "Prograde (L-R)",
"rarity": 80.84848484848484,
"_id": "6859527a647101e11038ac4a"
},
{
"trait_type": "Seed",
"value": 926252,
"display_type": "number",
"rarity": 0.24242424242424243,
"_id": "6859527a647101e11038ac4b"
}
],
"rarity": {
"rank": 774,
"total": 825,
"formatted": "774/825",
"percentile": 93.82,
"score": 421.33278948760915
},
"lastPrice": "0",
"isListed": false,
"listingPrice": null,
"listingExpirationTime": null,
"listingId": null,
"isInAuction": false,
"auctionId": null,
"auctionStartingPrice": null,
"auctionHighestBid": null,
"auctionEndTime": null,
"hasOffers": false,
"highestOffer": null,
"acceptingBids": false,
"listingSource": "native"
}
],
"total": 13,
"currentPage": 1,
"limit": 1,
"pages": 13,
"hasMore": true
}
⌘I